Free Manga Downloader
Project page: https://github.com/riderkick/FMD

Changelog:
(! = Important, + = Addition, - = Removal, * = Bug fix/Change/Edit, ? = Require feedback)

0.9.32.2 (03-02-2016)
[*] E-Hentai/ExHentai: fix incorrect page number
[*] Various changes and bug fixes

0.9.32.1 (02-02-2016)
[*] Hakihome: rewrite all script
[*] Various changes and bug fixes

0.9.32.0 (01-02-2016)
[*] Updater: various fix
[+] Added option to show/hide dialog download manga list from server when local database empty
[*] RedHawkScan: Removed, website offline
[*] Change manga list download url to new location
[*] Various changes and bug fixes

0.9.31.3 (28-01-2016)
[*] Fix save as pdf issue with indexed images
[*] Updater, fix download manga list always failed (403 Forbidden)
[*] Various changes and bug fixes

0.9.31.2 (24-01-2016)
[*] Fix remove mangafox watermark (file IO error when using multiple threads)
[*] Various changes and bug fixes

0.9.31.1 (21-01-2016)
[*] Fix double URL encoding
[*] Various changes

0.9.31.0 (19-01-2016)
[+] Download list: Assign CTRL+Home to move item to top and CTRL+End to move item to bottom
[+] Download list and Favorite list now accept url(s) via drag n drop
[*] Updater: fix various issue
[*] Various changes and bug fixes

0.9.30.0 (17-01-2016)
[*] E-Hentai/ExHentai: fix incorrect page links/page number
[*] Batoto: various fix
[*] Fix filter "Search only new manga"
[*] Fix various issue on "Update manga list"
[+] Added MangaKoi[EN]
[+] Added YoManga[EN-SC]
[+] Added RawYoManga[RAW]
[+] Added GameofScanlation[EN-SC]
[*] Various changes and bug fixes

0.9.29.1 (11-01-2016)
[!*] Fix empty user-agent if it's not defined in advanced.ini (causing connection issue)

0.9.29.0 (10-01-2016)
[*] KissManga: rewrite all script
[*] RawSenManga: rewrite all script (load full chapter list via one of chapter link https://github.com/riderkick/FMD/issues/146)
[*] UnionMangas: rewrite all script
[-] Pururin: drop support
[+] MangaFox: added option to save as PNG on remove watermark
[*] PecintaKomik: rewrite all script
[*] Various changes and bug fixes

0.9.28.0 (29-12-2015)
[+] Added Manga folder custom rename. Options > Save to
[*] Madokami: rewrite and add account support
[*] Fix load user-agent from advanced.ini
[*] Fix "Run out of memory" when updating long manga list
[*] Various changes and bug fixes

0.9.27.0 (26-12-2015)
[+] Added Remove MangaFox watermark feature. Options > Misc
[*] Batoto: fix add language and scan group to chapter title
[*] Various changes and bug fixes

0.9.26.0 (23-12-2015)
[*] Batoto: fix login
[*] ExHentai: fix login
[+] Added HitomiLa[H]
[+] Added HentaiCafe[H]
[+] Added Manga-Tr[TR]
[*] Madokami: fix image url
[*] Various changes and bug fixes

0.9.25.0 (21-12-2015)
[+] Added 8Muses[H] (no list, use drop box)
[+] Added Account Manager, Options > Accounts
[+] Batoto, add account support
[-] Drop support for Manga2u
[+] Added MangaHen[EN]
[+] Added ExHentai[H] with account support
[+] Added MangaBug[EN]
[*] Various changes and bug fixes

0.9.24.1 (25-11-2015)
[*] Fix fmd freeze

0.9.24.0 (25-11-2015)
[*] E-Hentai: get new image url if failed
[*] MangaHere: rewrite all script
[+] Added option to remove manga name in chapter name
[*] MangaLife: fix manga info
[*] NHentai: fix image url
[*] MangaTown: fix image url
[*] Fakku: fix image url
[*] MangaEden: fix page number
[*] Various changes and bug fixes

0.9.23.0 (26-08-2015)
[*] E-Hentai: fix image URL on multiple page
[-] Drop support for SenMangaRAW
[+] Added MangaLife(EN)
[+] Added Luscious(H)
[*] Various changes and bug fixes

0.9.22.1 (21-08-2015)
[*] E-Hentai: fix image url
[*] MangaIndo: remove automatically added chapter number
[*] ReadHentaiManga: fix image url
[*] Fix cover image sometimes failed to load

0.9.22.0 (19-08-2015)
[*] Fix various bug on filter
[*] WP-Manga: rewrite all script
[*] Added MangaIndo(ID)
[*] Various changes and bug fixes

0.9.21.8 (16-08-2015)
[*] Fix high cpu usage while updating manga list

0.9.21.7 (16-08-2015)
[*] Various changes and bug fixes

0.9.21.6 (11-08-2015)
[*] Doujin-Moe: reset image url every task start, fix expired url
[*] Fix empty website when adding a favorite
[*] Fix filter custom genres incorrectly treats whitespaces as separator
[*] Various changes

0.9.21.5 (10-08-2015)
[*] Fix remove multiple task
[*] Fix timer auto check favorites on interval not enabled if auto check new version not enabled
[*] Fix auto download new chapters in favorites always failed
[*] Various changes and bug fixes

0.9.21.4 (10-08-2015)
[*] Various changes and bug fixes

0.9.21.3 (09-08-2015)
[*] Fix favoritemanager doesn't showing the result when new chapter found
[*] Fix per item favorite check

0.9.21.2 (08-08-2015)
[*] Fix access violation when trying to download new chapter from favorites
[*] Fix option "Automatic download after finish checking" (favorites) doesn't stored properly

0.9.21.1 (08-08-2015)
[*] Minor bug fixes

0.9.21.0 (08-08-2015)
[+] Add button to abort check new version
[*] Minor UI changes
[*] Batoto: limit task to 1 and concurrent connection to 4
[+] Added Doujin-Moe (H)
[*] Various changes and bug fixes

0.9.20.0 (02-08-2015)
[*] Mangacan: rewrite all script
[*] PecintaKomik: rewrite all script
[*] Various changes and bug fixes

0.9.19.7 (30-07-2015)
[*] Minor bug fixes

0.9.19.6 (30-07-2015)
[*] Fix no manga folder when adding favorites from drop box
[*] Fix drop box issue with chrome

0.9.19.5 (30-07-2015)
[*] MangaFox: rewrite all script
[*] Fix drop box range check error

0.9.19.4 (28-07-2015)
[+] Added changelog tab
[+] Support multiple url on drop box
[+] Added popup menu to change drop box mode
[+] Added popup menu to abort loading thread (download all/add to favorites)
[*] Various changes and bug fixes

0.9.19.3 (27-07-2015)
[*] Various changes and bug fixes

0.9.19.2 (26-07-2015)
[*] Batoto: rewrite all script
[*] Various changes and bug fixes

0.9.19.1 (26-07-2015)
[*] Fix updater not closed after launching fmd. 
    For previous version just close FMD after update, it will also close the updater.

0.9.19.0 (26-07-2015)
[+] Mangalist data now using sqlite3, existing data will be automatically converted. 
    BUGS EXPECTED!
[*] Opening mangalist will be executed in separated thread, access to mangalist will be blocked until the process finish
[*] Search mangalist will be executed in separated thread, eleminate lag when searching large mangalist
[+] Added Soujosense (EN)
[+] Added mh160 (CN)
[*] Fix freeze in the middle of shutdown counter
[*] Fix Readmanga.today
[*] Fix various issue with unicode path
[*] Various changes and bug fixes

0.9.18.2 (05-07-2015)
[*] Minor bug fixes

0.9.18.1 (05-07-2015)
[!*] Fix connection closed forcefully when timeout reached

0.9.18.0 (04-07-2015)
[+] Added check/stop favorite per item
[+] Added transfer rate graph in download toolbar
[*] Various changes and bug fixes

0.9.17.1 (26-06-2015)
[+] Added "Failed" on download filter
[*] "Delete task + data", only remove chapters that exist in the task
[*] Fix EyeOnManga can't get names and links on update list
[*] Various changes and bug fixes

0.9.17.0 (19-06-2015)
[+] Added MangaCap, Authrone, EyeOnManga(EN)
[+] Added MangaBoom(TH)
[+] Added search websites on websites selection
[+?] Added connection timeout setting
[*] Various changes and bug fixes

0.9.16.6 (13-06-2015)
[*] Various changes and minor bug fixes

0.9.16.5 (12-06-2015)
[*] Minor bug fixes

0.9.16.4 (12-06-2015)
[*] Fix "Open with.." with unicode character

0.9.16.3 (11-06-2015)
[*] Minor bug fixes

0.9.16.2 (10-06-2015)
[*] Fix updater can't download manga list from server
[*] Fix open with external program, program path and parameter now separated
[*] Fix Madokami can't download images
[*] Various changes and bug fixes

0.9.16.1 (09-06-2015)
[!] Fix FMD not closed when updating. 
    - This bug prevent updater to overwrite the existing file.
    - You may have to download manually this version.

0.9.16.0 (09-06-2015)
[+] Added Madokami (EN)
[*] Fix compress to pdf
[*] Various changes and bug fixes

0.9.15.0 (07-06-2015)
[+] Added LoneManga(EN)
[+] Added Dynasty-Scans(EN-SC)
[+] Added option to show/hide downloads toolbar
[+] Added button to expand/collapse websites selection
[*] Updater, enable minimize button
[*] Fix update dialog stay on top
[*?] Fix launch external program
[*] Various changes and bug fixes

0.9.14.1 (31-5-2015)
[*] Fix can't download images from imgur(kissmanga)
[*] Fix "delete task + data"
[*] Various changes and bug fixes

0.9.14.0 (30-5-2015)
[+] Added ReadMangaToday(EN)
[*] Various changes and bug fixes

0.9.13.1 (26-5-2015)
[*] Various changes and bug fixes

0.9.13.0 (26-5-2015)
[+] Added Drop box for download all/add to favorites 
    You can drag the url from browser to this box to download all the capter
[*] Various changes

0.9.12.2 (25-5-2015)
[*] AcademyVN: fix manga info
[*] Various changes and bug fixes

0.9.12.1 (25-5-2015)
[*] Various changes and bug fixes

0.9.12.0 (24-5-2015)
[+] Add download speed (per task and total)
[+] Add favorites check status per item (icon and higlight color on favorites list)
[*] Fix strange behavious when deleting multiple task
[*] Fix can't stop favorites
[*] Various changes and bug fixes

0.9.11.3 (21-5-2015)
[!*] Fix high cpu usage when checking favorites
[!*] Fix crash when delete running task

0.9.11.2 (21-5-2015)
[*] MangaFox: fix mangainfo, no chapters for licensed manga

0.9.11.1 (21-5-2015)
[*] Various changes and minor bug fixes

0.9.11.0 (19-5-2015)
[!*] Change translation with gettext, all previous translation will be loss, only English and Indonesian available
[*] Various changes for stability and bug fixes

0.9.10.4 (14-5-2015)
[+] Add setting for User-Agent via advanced.ini, example available in advanced_temp.ini
[*] Minor changes

0.9.10.3 (13-5-2015)
[*] If external program were not specified, FMD will open using registered viewer on OS
[+] Add menu favorites>download all
[*] Merge manual download chapter list to existing favorites
[*] Various changes and bug fixes

0.9.10.2 (12-5-2015)
[*] Minor changes

0.9.10.1 (12-5-2015)
[*] Minor changes

0.9.10.0 (11-5-2015)
[+] Add toolbar to start/stop all download task
[*] MangaStream: fix download problem
[*] Fix various favorites bugs
[*] Fix can't stop download task
[*] Various changes and bug fixes

0.9.9.6 (10-5-2015)
[*] Fix menu popup state
[*] Minor changes

0.9.9.5 (10-5-2015)
[+] Added button to cancel favorites check.
[*] Fix favorites not auto download
[*] Fix favorites add to download list with empty chapters link
[*] Minor changes

0.9.9.4 (10-05-2015)
[!*] Store the url instead of index for dowwnloaded chapter list, for more reliable validation.
     IMPORTANT! THIS WILL MAKE YOUR OLD DOWNLOADED CHAPTER LIST UNUSABLE.
     RECOMMENDED TO DELETE YOUR downloadedchapters.ini BEFORE ADDING NEW TASK
[!*] Merge downloaded chapter list from favorite to main downloaded chapter list.
[+] Add menu "View manga info" in download list (only accesible if your task added from current version upward)
[*] SenMangaRAW: added update list script
[*] S2Scans: rewrite all script
[*] Various changes and bug fixes

0.9.9.3 (09-05-2015)
[*] MangaStream: rewrite all script
[*] Minor changes

0.9.9.2 (09-05-2015)
[!*] Rewrite FavoritesManager
     - Now you can add favorite while still checking the favorites,
       or checking while there is still add to fav thread running
     - Remove completed manga now working
     - Broken favorite will be marked red with exclamation icon
[!*] Updater: Fix redirection
     - You may have to download manually this version due to broken redirection on previous updater
[*] Various changes and bug fixes

0.9.9.1 (07-05-2015)
[!*] Updater: Bug fixes
[+] Added SenMangaRAW, no update list at the moment. 
    You can use old SenManga data (Dwonload mangalist from server)
[*] SenManga: fix manga info
[*] Various changes

0.9.9.0 (06-05-2015)
[!*] Bug fixes and stability improvements
[*] SenManga: rewrite all script
[*] MangaPark: fix mangainfo
[*] Various changes

0.9.8.10 (29-04-2015)
[+-] Replace MangaBird with MangaMint

0.9.8.9 (27-04-2015)
[*] AcademyVN fix status info
[*] Minor changes

0.9.8.8 (26-04-2015)
[+] Added AcademyVN (VN)
[+] Added MangaAt (AR)
[*] Various changes

0.9.8.7 (25-04-2015)
[+] Add MangaKu (ID)
[*] Minor changes

0.9.8.6 (25-04-2015)
[*] Fix MangaAr (all manga url seems changed, you have to build manga list from scratch)

0.9.8.5 (24-04-2015)
[*] Various changes and minor bugs fixed

0.9.8.4 (18-04-2015)
[*] MangaGo: add raw chapters

0.9.8.3 (16-04-2015)
[*] Fix SubManga*
[*] Various changes

0.9.8.2 (15-04-2015)
[*?] Change execution level of FMD to asInvoker (no UAC)
[*?] Run external process without admin privileges
[*] Various changes

0.9.8.1 (15-04-2015)
[!*] Fix downloadmanager
[*] Fix Fakku, Mangacow, LectureEnligne, Japscan
[!*] Various changes and bugs fixed

0.9.8.0 (12-04-2015)
[+?] Updater: add support for update FMD (experimental)
[*?] Enable FMD update (test using github release page)
[*] Various changes
[!] From now on only 32-bit version will be released, 
    there is no much benefit of using 64-bit version and to save my bandwith, 
    I will reconsider to provide it later

0.9.7.1 (04-04-2015)
[*] MyReadingMangaInfo: Add multi pages/chapter support, fix mangainfo

0.9.7.0 (02-04-2015)
[*] Manga2u: change domain to mangakaka.com
[*] KissManga: Fix not downloading
[*] SenManga: Fix mangainfo, updatelist and images download
[*] Various changes

0.9.6.4 (01-04-2015)
[*] Minor bugs fixed

0.9.6.3 (27-02-2015)
[*] Minor bugs fixed

0.9.6.2 (26-02-2015)
[!*] Fixing some memory leaks

0.9.6.1 (26-02-2015)
[*] Use gzip, deflate compression when loading page for faster loading and bandwidth saving
[*] Minor changes

0.9.6.0 (25-02-2015)
[+] Added MangaSee(EN)
[*] MangaPark: Various changes and fixes, new mangalist
[*] Various changes

0.9.5.0 (22-02-2015)
[*] Senmanga: Rewrite script, website changed
[*] Minor changes to DownloadManager
[*] Minor bugs fixed

0.9.4.1 (21-02-2015)
[*] Minor bugs fixed
[*] Various changes

0.9.4.0 (20-02-2015)
[*+] Various changes

0.9.3.1 (16-02-2015)
[*] Minor changes

0.9.3.0 (16-02-2015)
[*] Increase max task to 8 and max thread pertask to 16
[*] Button "Add to favorites", set enabled property by checking the existence of manga in favorite list
[*] Various changes
[*] Minor bugs fixed
[+?] Added PornComix(H-Sites), not all downloadable
[+?] Added XXComics(H-Sites), not all downloadable

0.9.2.0 (14-02-2015)
[*] Double click on empty space in download list open manga folder bug fixed
[*] Various minor bugs fixed
[*] MangaAe: rewrite all script, website changed, new mangalist

0.9.1.3 (12-02-2015)
[*] MangaHere: Various change and bugs fixed

0.9.1.2 (11-02-2015)
[*] Pururin: Rewrite mangainfo script

0.9.1.1 (06-02-2015)
[*] Minor bugs fixed

0.9.1.0 (05-02-2015)
[*] MangaReader_POR: update list bugs fixed
[*] UnionMangas: rewrite all script, website changed, new mangalist
[*] Starkana: rewrite script, website changed
[-] Drop MangasProject support (website inaccessible)
[+] Added MangaHost (PT)
[*] Various changes

0.9.0.0 (03-02-2015)
[*] Various changes

0.8.16.0 (02-02-2015)
[*] Fixed ticket#160 and related windowstate and position bugs
[*] MangaTraders: Rewrite all script (website entirely changed), new mangalist, delete data/MangaTraders.dat and rebuild mangalist to get new list
[*] Various changes

0.8.15.2 (23-01-2015)
[*] Various changes

0.8.15.1 (22-01-2015)
[*] Mangago: Change domain and logic to not fail if domain changed again

0.8.15.0 (21-01-2015)
[+] Compiled with FPC 3.3.1 and LCL 1.5
[+] Assigned CTRL + KEY_UP/KEY_DOWN to arrange download list item(s)
[*] Fixed ticket#151
[*] OneManga: Change domain and logic to not fail if domain changed again
[*] SenManga: Fix UserAgent and logic to not fail if domain changed again
[*] MangaStreamTo: Fix Manga Information (chapter list)  and logic to not fail if domain changed again

0.8.14.0 (15-12-2014)
[*] MangaFrame: Rewrite all script from scratch
[*] DownloadManager: Keep record for each failed chapter download and replace current chapterlist with failedchapterlist when task finish, so we can retry this task.
[*] Various changes and bug fixes

0.8.13.1 (14-12-2014)
[*] Manga2u: change domain and update list with sorted list for faster update (ticket#141)

0.8.13.0 (13-12-2014)
[+] Added ExtremeMangas(PT)
[*] Minor changes

0.8.12.0 (12-12-2014)
[*] E-Hentai: Retry with new server if image failed to download 
    (old task will not work. Remedy: Replace E-Hentai task "PageLinks=" with "PageContainerLinks=" in works\works.ini)
[*] MangaBird: Fixed ticket#139
[*] Various changes and bug fixes

0.8.11.0 (08-12-2014)
[+] Implement rearrange download list by drag and drop (multiselect supported)
[*] Various changes and bug fixes

0.8.10.0 (06-12-2014)
[+] Added %AUTHOR% and %ARTIST% CustomRename field to "Save to>Chapter folder name" (need translation on hint text for non english)
[+] Added HakiHome(H-Sites)
[*] Various changes and bug fixes
[-] Disable Download List auto-sort when new task added for a moment

0.8.9.1 (03-12-2014)
[*] Fix ticket#128

0.8.9.0 (03-12-2014)
[+] Added UnixManga(EN)

0.8.8.0 (01-12-2014)
[+] Added UnionMangas(BR/PT)
[+] Added MangaBird(RAW)
[*] Updater: Handle file not found and offer to download manually from my mediafire folder.
[*] Minor changes

0.8.7.2 (30-11-2014)
[*] Minor bug fixes (custom genres filter)

0.8.7.1 (29-11-2014)
[*] Minor changes

0.8.7.0 (29-11-2014)
[*] Minor changes

0.8.6.0 (28-11-2014)
[+] Added I-Komik(MY-ID)
[+] Added NHentai(H-Sites)
[+] Added option to remove duplicate data when updating list, default false (slow and take cpu on long list!)
[*] Debug symbol for fpc and lcl is enabled (larger debug file, you can delete *.dbg file if you don't have a plan to report any bug in the future)
[*] Minor changes and bug fixes (DownloadManager, UpdateListManager, baseunit)

0.8.5.24 (24-11-2014)
[*] Minor changes (DownloadInfo)

0.8.5.23 (23-11-2014)
[*] Change DownloadInfo.progress value from WorkCounter to DownCounter
[*] Minor changes

0.8.5.22 (11-11-2014)
[*] Fix AnimeA (ticket#119)
[*] Various changes

0.8.5.21 (10-11-2014)
[+] Added MangaOku(TR)
[+] Added MyReadingMangaInfo(H-Sites)
[*] Various changes and bug fixes

0.8.5.20 (07-11-2014)
[+] Added confirmation dialog on "download all" if title are already in download list
[*] Various changes and bug fixes

0.8.5.19 (06-11-2014)
[*] Minor changes (DownloadManager, UpdateListManager, frmMain)

0.8.5.18 (06-11-2014)
[+] Added ReadHentaiManga(H-Sites)
[*] Minor changes

0.8.5.17 (05-11-2014)
[*] Fix ticket#113
[*] Minor changes

0.8.5.16 (04-11-2014)
[+] Added MangaTown(EN), data available in Data\MangaTown.7z or build from scratch
[*] UpdateManager, if website is not MangaSiteWithSortedList then mangainfo will be saved when aborted, regardless it's completed or not.
[*] UpdateManager, NumberOfThreads will follow NumberOfThreadsPerTask value in "Connections" if not specified in advanced.ini (default = 1)
[*] Fix closing 'Exit confirmation dialog' lead to exit fmd instead of cancel it (ticket#112)
[*] Enable exit button and accept "esc" key to abort 'Exit counter dialog'
[*] TjsFastHTMLParser changed to TFastHTMLParser which come with Lazarus

0.8.5.15 (03-11-2014)
[*] Minor bug fixes (sientthread_addtofavorites, baseunit_saveimage, downloadmanager_downloadimage)
[*] Minor UI changes (progressbar color)

0.8.5.14 (02-11-2014)
[*] Fix ticket#107

0.8.5.13 (01-11-2014)
[*] Minor bug fixes (basenuit_StringFilter, ninemanga_mangainformation)

0.8.5.12 (31-10-2014)
[*] Fix sorting by "Added" column in download list (ticket#106)
[*] Win32 and Win64 compiled with debug symbol active (don't ever rename *.dbg file)

0.8.5.11 (27-10-2014)
[+] Added option to skip loading manga info when updating list. For those who only need manga title and faster update. Need translation (filter will not work for manga without information)
[*] Fix sometimes stuck when downloading/preparing
[*] Various changes and bug fixes (filter, basunit, updatemanager)

0.8.5.10 (26-10-2014)
[*] Various changes and bug fixes

0.8.5.9 (26-10-2014)
[*] Fix searching not executed when changing website
[*] Various changes and bug fixes

0.8.5.8 (26-10-2014)
[*] Minor bug fixes on getmangainfo

0.8.5.7 (25-10-2014)
[+] Added option to enable live search on mangalist (enabled by default. Need translation)

0.8.5.6 (25-10-2014)
[*] Minor changes

0.8.5.5 (24-10-2014)
[+] Added wait time dialog if after finish task is selected. Exit=5s, Shutdown=60s and Hibernate=30s
[*] Various changes and bug fixes

0.8.5.4 (22-10-2014)
[+] Added OneManga(EN)
[*] Minor bug fixes

0.8.5.3 (21-10-2014)
[*] Minor bug fixes
[*] Source clean up

0.8.5.2 (20-10-2014)
[+] Add "Permit only one FMD running" in General Options (need translation)

0.8.5.1 (19.10.2014)
[*] Fix Mangago tickets#100
[*] Fix deadlock upon exiting for exit/shutdown (tickets#99)
[*] Various changes and bug fixes

0.8.5.0 (17-10-2014)
[*] Maintenance build

0.8.4.0 (12-10-2014)
[*] Separate GetMangaInfosThread from subthread
[*] Various changes and bug fixes

0.8.3.17 (11-10-2014)
[*] Fix Fakku (forced to use SLL)
[*] Fix Manga-Lib_PL
[*] Various changes and bug fixes

0.8.3.16 (11-10-2014)
[+] Added Manga-Lib_PL(PL)
[*] Fix tickets#97
[*] Various changes and bug fixes

0.8.3.15 (09-10-2014)
[*] Download manager: Check image file on disk before running task
[*] Fix Mangacow list and information
[*] Various changes

0.8.3.14 (7-10-2014)
[*] Fix Mangacow
[*] Various changes

0.8.3.13 (6-10-2014)
[*] Fix SenManga
[*] Strip long name, workaround for tickets#85
[*] Fix zip/cbz compression sometimes failed due to unicode handling
[*] Various changes and bug fixes

0.8.3.12 (05-10-2014)
[+] Assign delete key on Download list to delete task
[*] Fix filtering bugs
[*] Fix Mangapanda
[*] Various changes and bug fixes

0.8.3.11 (04-10-2014)
[*] Fix MangaInn(tickets#92)
[*] Various changes and bug fixes

0.8.3.10 (03-10-2014)
-Fix tickets#91

0.8.3.9 (03-10-2014)
[*] Minor bug fixes

0.8.3.8 (02-10-2014)
[*] Minor bug fixes
[*] Various changes

0.8.3.7 (01-10-2014)
[*] Fix "Download All" on manga list throw exception if there's connection problem.

0.8.3.6 (20-09-2014)
[*] Disable real time search manga list, use the return/enter key to trigger the search (reason: very slow on large manga list)
[*] Minor bug fixes

0.8.3.5 (25-09-2014)
[+] Added E-Hentai
[*] Various changes

0.8.3.4 (19-09-2014)
[*] Fix wrong title if list is filtered

0.8.3.3 (19-09-2014)
[*] Fix Batoto wrong title

0.8.3.2 (18-09-2014)
[+] Add "Self Published" title to batoto update script
[*] Correcting update manager
[*] Various changes

0.8.3.1 (17-09-2014)
[+] Added missing SOCKS4 support
[*] Updater: read proxy configuration from FMD
[*] Fix updatelist won't terminate while waiting connection
[*] Fix url encoding (japscan)
[*] Various changes

0.8.3.0 (15-09-2014)
[+] Added Japscan(FR)
[+] Added support for SOCKS5 proxy
[+] UI improvement for update list status and added abort button to abort update list proccess
[+] Added update list queue (when update already running it's possible to add website to update list queue).
[*] Fix Mangacow
[*] Remove restriction to update list from scratch
[*] Fixing updatelist thread
[*] Fixing downloadmanager and download thread
[*] Fixing some memory leaks
[*] Maximum threads increased to 32(via advanced.ini)
[*] Various changes and bug fixes

0.8.2.22 (09-09-2014)
[+] New updater(source available in source folder)
[*] Optimizing updatelist again

0.8.2.21 (08-09-2014)
[+] Added RegExpr for customgenres, name, author, artist and summary
[*] Fix updatelist sometimes throw exception
[*] Optimizing updatelist script and fix some of memory leaks
[*] Fix komikid
[*] Fix batoto webtoon
[*] Various changes (see source)

0.8.2.20 (03-09-2014)
[*] Fix Mangago
[*] mangalist_update.ini changed to advanced.ini
[*] Cleanup code

0.8.2.19 (01-09-2014)
[+] Added Lecture-En-Ligne(FR) and Japan-Shin(FR)
[+] Added content menu on URL textbox
[*] Fix Batoto
[*] Various changes (see source)

0.8.2.18 (30-08-2014)
[*] Fix Batoto
[+] Added NineManga, NineManga_ES, NineManga_CN, NineManga_DE, NineManga_IT, NineManga_RU, NineManga_BR
[*] Replace "Add to favorites" checkbox with button.
[+] Added progress bar on download list "Progress"
[*] Various changes and bug fixes (see source)

0.8.2.17 (25-08-2014)
[*] various changes

rev399-16 (20-08-2014)
[*] Various changes and bug fixes (see source)

rev399-15 (16-08-2014)
[+] Added Mangastream.to (English --> MangaStreamTo), data is inside "Data\MangaStreamTo.7z"
[*] Various changes

rev399-14 (14-08-2014)
[*] Overral UI improvement
[*] Cleaning some code

rev399-13 (12-8-2014)
[*] Fix KissManga(en) mangalist bugs
[*] Fix ScanManga(fr)
[*] Small changes

rev399-12 (8-8-2014)
[*] Fix MangaAr

rev399-11 (3-8-2014)
[*] Fix Mangago

rev399-10 (2-8-2014)
[*] Small bug fixes

rev399-9 (13-7-2014)
[*] Various bug fixes (stability issue)
[+] Implement Natural Sorting.

rev399-8 (4-7-2014)
[*] Fix Fakku
[*] Various bug fixes

rev399-7 (29-6-2014)
[*] Fix tickets#59
[*] Fix MangaREADER_POR, MangasPROJECT
[+] Added missing OpenSSL lib

rev339-6 (27-6-2014)
[*] Fix Mangahere, Fakku, Perveden

rev339-5
[*] Fix ticket#56

rev399-4
[+] Added feature convert digit on chapter title, eksperimental/feedback required (need translation)

rev399-3
[*] Fix ticket#46
[*] Fix CentralDeMangas

rev399-2
[*] Fix bad code, memory leak
[+] UI Improvement: Added download task status icon and 
[+] UI Improvement: Correcting list font padding(Manga list, Download list and Favorites list)
[+] UI Improvement: Correcting Hint on download task.

rev399-1
[*] Fix Mangapanda, Batoto, Komikid
[*] Fix batch delete favorites